CREATE DATABASE amazondf;
GO

USE [amazondf]
GO

 /*Creating Table [dbo].[salesorder]  */

CREATE TABLE [dbo].[salesorder](
	[SalesOrderID] [int] IDENTITY(1,1) NOT NULL,
	[PurchaseOrderNumber] [nvarchar](50) NULL,
	[OrderDate] [smalldatetime] NULL,
	[CurrencyType] [nvarchar](50) NULL,
	[CustomerOrderNumber] [nvarchar](50) NULL,
	[AmazonSiteNumber] [nvarchar](50) NULL,
	[RequestedShippingDate] [smalldatetime] NULL,
	[RequestedDeliveryDate] [smalldatetime] NULL,
	[OrderStatusMessage] [nvarchar](50) NULL,
	[AmazonLocationName] [nvarchar](50) NULL,
	[AmazonLocationCode] [nvarchar](50) NULL,
	[WarehouseCode] [nvarchar](50) NULL,
	[ShippingName] [nvarchar](50) NULL,
	[ShippingStreet] [nvarchar](50) NULL,
	[ShippingCity] [nvarchar](50) NULL,
	[ShippingState] [nvarchar](50) NULL,
	[ShippingZip] [nvarchar](50) NULL,
	[ShippingCountry] [nvarchar](50) NULL,
	[ShippingMethod] [nvarchar](50) NULL,
	[ShippingAddressType] [nvarchar](50) NULL,
	[CustomerName] [nvarchar](50) NULL,
	[BillingStreet] [nvarchar](50) NULL,
	[BillingCity] [nvarchar](50) NULL,
	[BillingState] [nvarchar](50) NULL,
	[BillingZip] [nvarchar](50) NULL,
	[BillingCountry] [nvarchar](50) NULL,
	[CustomerPhone] [nvarchar](50) NULL,
	[GiftMessage] [nvarchar](max) NULL,
	[TotalPrice] [decimal](10, 2) NULL	
 CONSTRAINT [PK_salesorder] PRIMARY KEY CLUSTERED 
(
	[SalesOrderID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


/* Creating Table [dbo].[salesorderlineitems] */

CREATE TABLE [dbo].[salesorderlineitems](
	[LineItemID] [int] IDENTITY(1,1) NOT NULL,
	[SalesOrderID] [int] NOT NULL,
	[LineNumber] [nvarchar](50) NULL,
	[QuantityOrdered] [int] NULL,
	[UnitPrice] [decimal](10, 2) NULL,
	[ProductID] [nvarchar](50) NULL,
	[ProductDescription] [nvarchar](max) NULL	
 CONSTRAINT [PK_salesorderlineitems] PRIMARY KEY CLUSTERED 
(
	[LineItemID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

/* Creating Table [dbo].[invoice] */

CREATE TABLE [dbo].[invoice](
	[InvoiceID] [int] IDENTITY(1,1) NOT NULL,
	[InvoiceDate] [smalldatetime] NULL,
	[InvoiceNumber] [nvarchar](50) NULL,
	[CurrencyName] [nvarchar](50) NULL,
	[RemittingName] [nvarchar](60) NULL,
	[VendorPayeeCode] [nvarchar](80) NULL,
	[RemittingStreet] [nvarchar](55) NULL,
	[RemittingCity] [nvarchar](50) NULL,
	[RemittingState] [nvarchar](50) NULL,
	[RemittingZip] [nvarchar](50) NULL,
	[RemittingCountry] [nvarchar](50) NULL,
	[WarehouseCode] [nvarchar](60) NULL,
	[TermsDueDate] [smalldatetime] NULL,
	[TermsNetDays] [nvarchar](50) NULL,
	[DescriptionofTerms] [nvarchar](max) NULL,
	[InvoiceTotal] [decimal](10, 2) NULL,
	[SACInfo] [nvarchar](50) NULL,
	[SACAmount] [decimal](10, 2) NULL
 CONSTRAINT [PK_invoice] PRIMARY KEY CLUSTERED 
(
	[InvoiceID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


/* Creating Table [dbo].[invoicelineitems] */

CREATE TABLE [dbo].[invoicelineitems](
	[﻿InvoiceLineItemID] [int] IDENTITY(1,1) NOT NULL,
	[LineNumber] [nvarchar](50) NULL,
	[QuantityInvoiced] [int] NULL,
	[ProductId] [nvarchar](50) NULL,
	[UnitPriceofItem] [decimal](10, 2) NULL,
	[ShippingID] [nvarchar](50) NULL,
	[InvoiceID] [int] NOT NULL,
	[PurchaseOrderNumber] [nvarchar](50) NULL,
	[CustomerOrderNumber] [nvarchar](50) NULL,
 CONSTRAINT [PK_invoicelineitems] PRIMARY KEY CLUSTERED 
(
	[﻿InvoiceLineItemID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/* Creating Table [dbo].[items] */

CREATE TABLE [dbo].[items](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Date] [smalldatetime] NULL,
	[WarehouseCode] [nvarchar](50) NULL,
	[ItemID] [nvarchar](50) NULL,
	[QuantityAvailable] [int] NULL,
	[InventoryFeedReference] [nvarchar](50) NULL,
 CONSTRAINT [PK_items] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/* Creating Table [dbo].[asnorder] */


CREATE TABLE [dbo].[asnorder](
	[ASNOrderID] [int] IDENTITY(1,1) NOT NULL,
	[ShipmentId] [nvarchar](50) NULL,
	[Date] [smalldatetime] NULL,
	[TransactionType] [nvarchar](50) NULL,
	[﻿HLID] [nvarchar](50) NULL,
	[﻿HLParentID] [nvarchar](50) NULL,
	[PurchaseOrderNumber] [nvarchar](50) NULL,
	[ContractNumber] [nvarchar](50) NULL,
	[WarehouseCode] [nvarchar](50) NULL,
 CONSTRAINT [PK_asn_order] PRIMARY KEY CLUSTERED 
(
	[ASNOrderID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

/* Creating Table [dbo].[asn_item] */

CREATE TABLE [dbo].[asnitem](
	[ASNItemID] [int] IDENTITY(1,1) NOT NULL,
	[HLID] [nvarchar](50) NULL,
	[HLParentID] [nvarchar](50) NULL,
	[LineNumber] [nvarchar](50) NULL,
	[ProductID] [nvarchar](50) NULL,
	[QuantityShipped] [int] NULL,
	[QuantityOrdered] [int] NULL,
	[LineItemStatus] [nvarchar](50) NULL,
	[QuantityCancelled] [int] NULL,
	[UnitPrice] [decimal](10, 2) NULL,
	[PackageID] [nvarchar](50) NULL,
	[ASNOrderID] [int] NULL,
 CONSTRAINT [PK_asn_item] PRIMARY KEY CLUSTERED 
(
	[ASNItemID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO


/* Creating Table [dbo].[asnpackage] */


CREATE TABLE [dbo].[asnpackage](
	[ASNPackageID] [int] IDENTITY(1,1) NOT NULL,
	[HLID] [nvarchar](50) NULL,
	[WeightofPackage] [decimal](10, 2) NULL,
	[ShippingMethod] [nvarchar](50) NULL,
	[ManifestNumberforLTLShipments] [nvarchar](50) NULL,
	[MarksandNumbersQualifier] [nvarchar](50) NULL,
	[PackageID] [nvarchar](50) NULL,
	[TrackingID] [nvarchar](50) NULL,
	[ShippingDate] [smalldatetime] NULL,
	[ShipmentManifestedDate] [smalldatetime] NULL,
	[ASNItemID] [int] NULL,
 CONSTRAINT [PK_asn_package] PRIMARY KEY CLUSTERED 
(
	[ASNPackageID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO




